fiber.c File Reference

Go to the source code of this file.

## Functions

void | ruby_Init_Fiber_as_Coroutine (void)
void | Init_fiber (void)

## Function Documentation

void Init_fiber | ( | void |  | ) |

Definition at line 5 of file fiber.c.

References ruby_Init_Fiber_as_Coroutine().

void ruby_Init_Fiber_as_Coroutine | ( | void |  | ) |

Definition at line 1516 of file cont.c.

References rb_cFiber, rb_define_method(), rb_define_singleton_method(), rb_fiber_alive_p(), rb_fiber_m_transfer(), and rb_fiber_s_current().

Referenced by Init_fiber().